﻿Imports System.Globalization

Namespace Converter
    Public Class BooleanToVisibilityConverter
        Implements IValueConverter

        Public Function Convert(value As Object, targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IValueConverter.Convert
            If value Is Nothing Then Return Visibility.Hidden
            If CBool(value) Then
                If parameter?.ToString().ToLower() = "reverse" Then Return Visibility.Hidden
                Return Visibility.Visible
            Else
                If parameter?.ToString().ToLower() = "reverse" Then Return Visibility.Visible
                Return Visibility.Hidden
            End If
        End Function

        Public Function ConvertBack(value As Object, targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
            If value Is Nothing Then Return False
            Select Case DirectCast(value, Visibility)
                Case Visibility.Collapsed, Visibility.Hidden
                    If parameter?.ToString().ToLower() = "reverse" Then Return True
                    Return False
                Case Else
                    If parameter?.ToString().ToLower() = "reverse" Then Return False
                    Return True
            End Select
        End Function
    End Class
End Namespace